<?php
    $lite = isset($_GET["lite"]);
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
    
    require_once("lib/fmessages.php");
    $messages = new Messages();
    
    require_once("lib/fconnect.php");
	$db = DBConnect::getInstance();
	
    require_once("lib/frole.php");
    $role = new Role();
    
$role->isPageEnable($user->uuid);
$messages->testConfirm($user->uuid);
$h4='';

if(isset($_POST['delete'])){
	unset($_POST['delete']);
	$h4 .= '<h4 style="color:red;">'.$messages->deleteMessages($_POST).'</h4>';
}
if(isset($_POST['send'])){
	$h4 .= '<h4>'.$messages->sendRequest($_POST).'</h4>';
}   
if(isset($_POST['send'])){
	header('Location: http://'.$_SERVER['HTTP_HOST'].'/'.$_SERVER['SCRIPT_NAME']); 
}

?><!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>Запросы</title>
<link rel="stylesheet" href="/css/jquery-ui.css" />

<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<script src="/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />
 <link rel="stylesheet" href="/css/messages.css" />

  <script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>
</head>

<body>


<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      Комплексный мониторинг кафедр
    </h1>
    <h2 class="header__headings__subheading">
      <small class="header__headings__subheading__subsubheading">
        Создание заявки на изменение данных предыдущих этапов
      </small>
    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>
<div class = "left">
	<?php
echo $role->userMenu($user->uuid);
	?>
</div>


<!-- CURRENT PAGE -->
<div class="all">


<?=$h4?>

	<div class="send_box">
	<form method="post">
		<input type="hidden" name="user" value="<?=$user->uuid?>">
		<input type="hidden" name="type" value="edit_old_data">
		<h3>Создание новой заявки на редактирование данных</h3>
		<h4>1. Отметьте нужную кафедру</h4>
		<p><?=$messages->getAvailableChairs($user->uuid)?></p>
		<h4>2. Данные за какой период требуется изменить?</h4>
		<p><input type="checkbox" name="0"> - Значение показателей за этап 1 <i>(20 мая 2015 - 19 сентября 2015)</i></p>
		<p><input type="checkbox" name="1"> - Значение показателей за этап 2 <i>(20 сентября 2015 - 19 октября 2015)</i></p>
		<p><input type="checkbox" name="2"> - Значение показателей за этап 3 <i>(20 октября 2015 - 19 ноября 2015)</i></p>
		<p><input type="checkbox" name="3"> - Значение показателей за этап 4 <i>(20 ноября 2015 - 19 декабря 2015)</i></p>
		<p><input type="checkbox" name="4"> - Значение показателей за этап 5 <i>(20 декабря 2015 - 19 января 2016)</i></p>
		<p><input type="checkbox" name="5"> - Значение показателей за этап 6 <i>(20 января 2016- 19 февраля 2016)</i></p>
		<p><input type="checkbox" name="6"> - Значение показателей за этап 7 <i>(20 февраля 2016- 19 марта 2016)</i></p>
		<p><input type="checkbox" name="7"> - Значение показателей за этап 8 <i>(20 марта 2016- 19 апреля 2016)</i></p>
	
		<h4>3. Пожалуйста, укажите причину для редактирования.</h4>
		<p><textarea name="reason" class="reason"></textarea></p>
		<p><input type="submit" value="Отправить запрос" name="send"></p>
	</form>
	</div>
<?=$messages->getUserMessages($user->uuid)?>
</div>

</body>
</html>
